//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM1.92-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SH118
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t=' ';
	delay_init();
	LED_Init();
	OLED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,128,160,BMP1,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();

		
		
		OLED_ShowChinese(0,40,0,16,1);//
		OLED_ShowChinese(16,40,1,16,1);//
		OLED_ShowChinese(32,40,2,16,1);//
		OLED_ShowChinese(48,40,3,16,1);//
		OLED_ShowChinese(64,40,4,16,1);//
		OLED_ShowChinese(80,40,5,16,1);//		
		OLED_ShowChinese(96,40,6,16,1);//
		OLED_ShowChinese(112,40,7,16,1);//				
		

		OLED_ShowString(8,56,"buydisplay",16,1);
		OLED_ShowString(20,72,"EastRisng",16,1);
		OLED_ShowString(0,88,"ASCII:",16,1);  
		OLED_ShowString(63,88,"CODE:",16,1);
		OLED_ShowChar(48,88,t,16,1);//ʾASCIIַ	   
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(103,88,t,3,16,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
	}
}

